/download

The download endpoint is used to deliver binary file data. It delivers data for original files as well as renditions. These URL to the files should be taken from the responses of /api/db or /api/search.

GET /eas/download/{fileId}/{hash}/{version}

get
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Query parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

recipestringOptional

Name of recipe in the form of <cookbook>:<recipe>. If not given, the system recipe _produce:produce is used. In that case, the other url parameters are used as parameters for the recipe.

recipe_paramsstring · jsonOptional

JSON formatted object which sets the parameters for the recipe. The parameter name is the <key> in the object.

formatstring · enumOptional

The target format of the produced file. Defaults to the extension of the file parent.

Possible values:
sizenumber · intOptional

set the target size

widthnumber · intOptional

set the target width

heightnumber · intOptional

set the target height

resize_modestring · enumOptional
  • "max": "size" is the maximum side
  • "min": "size" is the minimum side
  • "width": "size" is the width * "height"
  • "size" is the height.

If "width" and "height" are given, `resize_mode`` can either be "cover" or "force". "cover" will cut of overflowing pixels, "contain" will not cut off any pixels and "force" will not preserve the aspect ratio. "max" is the default for "size" and "cover" for "width" and "height".

Possible values:
qualityone ofOptional

Quality is used to set the JPEG quality. maximum is 100, medium is 75, small and low are 50.

string · enumOptionalPossible values:
or
number · intOptional
dpinumber · intOptional

DPI of the target image. Values <= 0 are ignored. This sets XResolution, YResolution and ResolutionUnit.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The response will use the proper mimetype for the file.

application/octet-stream
Responsestring · binary

The binary data of the file.

HEAD /eas/download/{fileId}/{hash}/{version}

head
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Query parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The response will use the proper mimetype for the file.

No content

GET /eas/download/{fileId}/{hash}/{version}/{zippath}

get
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

zippathstringRequired

For zip files, you can add the path into a zip to extract a specific file from the ZIP.

Query parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The response will use the proper mimetype for the file. In case of a directory, the response will be JSON.

namestringOptional

The name of the file or directory.

pathstringOptional

The full zippath of the file or directory.

sizenumber · int64Optional

The size of the file in bytes, omitted for directories.

mod_timestring · datetimeOptional

The modification time of the file, omitted for directories.

is_dirbooleanOptional

Indicates if the entry is a file or directory.

HEAD /eas/download/{fileId}/{hash}/{version}/{zippath}

head
Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

zippathstringRequired

For zip files, you can add the path into a zip to extract a specific file from the ZIP.

Query parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The response will use the proper mimetype for the file.

No content

No content

Last updated